from abacus_core import AbacusCore

ab = AbacusCore()


if __name__ == '__main__':
    step = 0
    res = 0
    while True:
        var = input('gib was ein:')
        if var == 'vars':
            print(ab.get_vars())
        elif var == 'func':
            print(ab.get_funcs())
        elif var == 'res':
            print(res)
        else:
            step += 1
            res = ab.parse_input(str(var))
            print('step', step, 'result', res)
